Description

Just a usability suggestion which would correct a minor usability annoyance.

Situation:

Page view: Multiple elements exist on one page. You have to scroll a bit to reach the last element.

After deleting/hiding an element from the bottom the page frame "scrolls" to the top because it's reloaded. If you want to take some
other action in the same spot you have to find it and scroll there again.

Suggestion:
After deleting/hiding a content element the scroll position should be retained or restored.

Related issues:

Related to TYPO3 Core - Feature #72908: Backend: Repositioning the page after... Closed 2016-01-24
Related to TYPO3 Core - Bug #70074: After saving tt_content, always jumps to top Closed 2015-09-24
Related to TYPO3 Core - Feature #78931: Use ajax in place of page refresh for... New 2016-12-09
Related to TYPO3 Core - Bug #89678: After creating a new content element in p... New 2019-11-13
Related to TYPO3 Core - Feature #80613: Add possibility to hide/unhide elemen... New 2017-03-31
History

#1 - 2016-04-08 16:34 - Malte Koitka

Perhaps this could be implemented in a generic way, so that for example the creation of content elements could also benefit from that.

#2 - 2016-05-06 22:11 - Riccardo De Contardi

- Category set to Backend User Interface

#3 - 2018-01-20 11:27 - Riccardo De Contardi

- Related to Feature #78931: Use ajax in place of page refresh for more actions in the backend added

#4 - 2018-11-03 20:44 - Georg Ringer

- Status changed from New to Resolved

this has been solved for at least hide/unhide in page module, delete is a bit harder as it also needs to reculate anchor

#5 - 2019-02-04 10:52 - Julian Stock

- Status changed from Resolved to New

This is still a problem when adding new content elements.

element-tt_content-<ID> is missing in redirectUrl after saving a new element.

#6 - 2020-07-15 11:56 - Sybille Peters

- Related to Story #84364: As editor, | want to use D'n'D and work with less as possible page reloads to be more productive added

#7 - 2020-07-15 12:05 - Sybille Peters

For changing scroll position when adding a CE, #89678 also exists. Looks like a near duplicate.
https://forge.typo3.org/issues/89678

#8 - 2020-07-15 12:05 - Sybille Peters
- Related to Bug #89678: After creating a new content element in page module, scroll back to where | left added

#9 - 2020-07-15 12:37 - Sybille Peters
- Related to Feature #80613: Add possibility to hide/unhide elements in the page module without reload added

#10 - 2020-07-15 12:44 - Sybille Peters
- Related to deleted (Story #84364: As editor, | want to use D'n'D and work with less as possible page reloads to be more productive)
